Commit 20189f84 authored by Riyad Preukschas's avatar Riyad Preukschas

Update gems

parent 527d2236
...@@ -17,7 +17,7 @@ gem "pg", group: :postgres ...@@ -17,7 +17,7 @@ gem "pg", group: :postgres
# Auth # Auth
gem "devise", "~> 2.1.0" gem "devise", "~> 2.1.0"
gem 'omniauth' gem 'omniauth', "~> 1.1.1"
gem 'omniauth-google-oauth2' gem 'omniauth-google-oauth2'
gem 'omniauth-twitter' gem 'omniauth-twitter'
gem 'omniauth-github' gem 'omniauth-github'
...@@ -27,7 +27,7 @@ gem "grit", git: "https://github.com/gitlabhq/grit.git", ref: ...@@ -27,7 +27,7 @@ gem "grit", git: "https://github.com/gitlabhq/grit.git", ref:
gem "omniauth-ldap", git: "https://github.com/gitlabhq/omniauth-ldap.git", ref: 'f038dd852d7bd473a557e385d5d7c2fd5dc1dc2e' gem "omniauth-ldap", git: "https://github.com/gitlabhq/omniauth-ldap.git", ref: 'f038dd852d7bd473a557e385d5d7c2fd5dc1dc2e'
gem 'yaml_db', git: "https://github.com/gitlabhq/yaml_db.git", ref: '98e9a5dca43e3fedd3268c76a73af40d1bdf1dfd' gem 'yaml_db', git: "https://github.com/gitlabhq/yaml_db.git", ref: '98e9a5dca43e3fedd3268c76a73af40d1bdf1dfd'
gem 'grack', git: "https://github.com/gitlabhq/grack.git", ref: 'ba46f3b0845c6a09d488ae6abdce6ede37e227e8' gem 'grack', git: "https://github.com/gitlabhq/grack.git", ref: 'ba46f3b0845c6a09d488ae6abdce6ede37e227e8'
gem 'grit_ext', git: "https://github.com/gitlabhq/grit_ext.git", ref: '212fd40bea61f3c6a167223768e7295dc32bbc10' gem 'grit_ext', git: "https://github.com/gitlabhq/grit_ext.git", ref: '212fd40bea61f3c6a167223768e7295dc32bbc10'
# Gitolite client (for work with gitolite-admin repo) # Gitolite client (for work with gitolite-admin repo)
gem "gitolite", '1.1.0' gem "gitolite", '1.1.0'
...@@ -46,13 +46,13 @@ gem "grape", "~> 0.2.1" ...@@ -46,13 +46,13 @@ gem "grape", "~> 0.2.1"
gem "stamp" gem "stamp"
# Pagination # Pagination
gem "kaminari" gem "kaminari", "~> 0.14.1"
# HAML # HAML
gem "haml-rails" gem "haml-rails", "~> 0.3.5"
# Files attachments # Files attachments
gem "carrierwave" gem "carrierwave", "~> 0.7.1"
# Authorization # Authorization
gem "six" gem "six"
...@@ -64,21 +64,21 @@ gem "ffaker" ...@@ -64,21 +64,21 @@ gem "ffaker"
gem "seed-fu" gem "seed-fu"
# Markdown to HTML # Markdown to HTML
gem "redcarpet", "~> 2.1.1" gem "redcarpet", "~> 2.2.2"
gem "github-markup", "~> 0.7.4", require: 'github/markup' gem "github-markup", "~> 0.7.4", require: 'github/markup'
# Servers # Servers
gem "thin", '~> 1.5.0' gem "thin", '~> 1.5.0'
gem "unicorn" gem "unicorn", "~> 4.4.0"
# Issue tags # Issue tags
gem "acts-as-taggable-on", "2.3.1" gem "acts-as-taggable-on", "2.3.3"
# Decorators # Decorators
gem "draper" gem "draper", "~> 0.18.0"
# Background jobs # Background jobs
gem "resque", "~> 1.20.0" gem "resque", "~> 1.23.0"
gem 'resque_mailer' gem 'resque_mailer'
# HTTP requests # HTTP requests
...@@ -87,34 +87,34 @@ gem "httparty" ...@@ -87,34 +87,34 @@ gem "httparty"
# Colored output to console # Colored output to console
gem "colored" gem "colored"
# GITLAB settings # GitLab settings
gem 'settingslogic' gem 'settingslogic'
# Misc # Misc
gem "foreman" gem "foreman"
gem 'gemoji', require: 'emoji/railtie'
gem "git" gem "git"
group :assets do group :assets do
gem "sass-rails", "3.2.5" gem "sass-rails", "~> 3.2.5"
gem "coffee-rails", "3.2.2" gem "coffee-rails", "~> 3.2.2"
gem "uglifier", "1.0.3" gem "uglifier", "~> 1.3.0"
gem "therubyracer" gem "therubyracer"
gem 'chosen-rails' gem 'chosen-rails', "0.9.8"
gem 'jquery-atwho-rails', '0.1.6' gem 'jquery-atwho-rails', "0.1.6"
gem "jquery-rails", "2.0.2" gem "jquery-rails", "2.1.3"
gem "jquery-ui-rails", "0.5.0" gem "jquery-ui-rails", "2.0.2"
gem "modernizr", "2.5.3" gem "modernizr", "2.6.2"
gem "raphael-rails", "1.5.2" gem "raphael-rails", "2.1.0"
gem 'bootstrap-sass', "2.0.4" gem 'bootstrap-sass', "2.0.4"
gem "font-awesome-sass-rails", "~> 2.0.0" gem "font-awesome-sass-rails", "~> 2.0.0"
gem "gemoji", "~> 1.2.1", require: 'emoji/railtie'
end end
group :development do group :development do
gem "annotate", git: "https://github.com/ctran/annotate_models.git" gem "annotate", git: "https://github.com/ctran/annotate_models.git"
gem "letter_opener" gem "letter_opener"
gem 'quiet_assets', '1.0.1' gem 'quiet_assets', '~> 1.0.1'
gem 'rack-mini-profiler' gem 'rack-mini-profiler'
end end
...@@ -144,7 +144,7 @@ end ...@@ -144,7 +144,7 @@ end
group :test do group :test do
gem "simplecov", require: false gem "simplecov", require: false
gem "shoulda-matchers" gem "shoulda-matchers", "1.3.0"
gem 'email_spec' gem 'email_spec'
gem 'resque_spec' gem 'resque_spec'
gem "webmock" gem "webmock"
......
This diff is collapsed.
# Workaround for https://github.com/github/gemoji/pull/18
Gitlab::Application.config.assets.paths << Emoji.images_path
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment